// CHAPTER 2

/**
 * @input  read in three values, one per line, from the user relating to a triangle:
 *   a - the length of one side
 *   b - the length of a neighboring side
 *   gamma - the angle between the sides corresponding to a and b.
 * @output the length of the the third side of the triangle, as a floating-point
 *    number, using the law of cosines.
 *
 * @example
 * Side a: 1
 * Side b: 2
 * gamma: 90
 * 1.41421
 */
void labZero_pZero();



/**
 * @input  read in two times in military format (e.g., 0900, 1730).
 * @output the number of hours and minutes between the two
 * times, in the format "[h] hours [m] minutes" for appropriate
 * values [h] and [m].
 *
 * @example 1
 * Please enter the first time: 0900
 * Please enter the second time: 1730
 * 8 hours 30 minutes
 *
 * @example 2
 * Please enter the first time: 1730
 * Please enter the second time: 0900
 * 15 hours 30 minutes
 */
void labZero_pOne();


/**
 * @input  read in an integer with up to 6 digits.
 * @output the sum of the digits of the number.
 *
 * @example:
 * Please enter the number:  123456
 * 21
 */
void labZero_pTwo();



// CHAPTER 3

/**
 * @input  read in four integers on one line.
 * @output "in order" if the integers are in strictly
 * ascending or descending order.  Otherwise, output
 * "not in order"
 *
 * @example:
 * 1 2 3 4
 * in order
 */
void labZero_pThree();

/**
 * @input  read in four pairs of integral x y coordinates, one per line.
 * @output outputs the most specific description of the
 *    four points among the following choices:
 *    square, rectangle, trapezoid, rhombus, none of these
 *
 * @example 1
 * 0 0
 * 0 1
 * 1 0
 * 1 1
 * square
 *
 * @example 2
 * 0 0
 * 0 1
 * 2 0
 * 1 1
 * trapezoid
 */
void labZero_pFour();

/**
 * @input  read in a positive integer.
 * @output The Roman numeral corresponding to the input, using the
 *    rules described in problem P3.13 of the book.
 *
 * @example 0
 * 14
 * XIV
 *
 * @example 1
 * 1978
 * MCMLXXVIII
 */
void labZero_pFive();